datablock WheeledVehicleData(AstosVehicle)
{
	category = "Vehicles";
	displayName = " ";
	shapeFile = "./Astos.dts"; //"~/data/shapes/skivehicle.dts"; //
	emap = true;
	minMountDist = 3;
   
   numMountPoints = 4;
   mountThread[0] = "sit";
   mountThread[1] = "sit";
   mountThread[2] = "sit";
   mountThread[3] = "sit";

	maxDamage = 200.00;
	destroyedLevel = 200.00;
	energyPerDamagePoint = 160;
	speedDamageScale = 1.04;
	collDamageThresholdVel = 20.0;
	collDamageMultiplier   = 0.02;

	massCenter = "0 0 0.4";
   //massBox = "2 5 1";

	maxSteeringAngle = 0.93;  // Maximum steering angle, should match animation
	integration = 4;           // Force integration time: TickSec/Rate
	tireEmitter = VehicleTireEmitter; // All the tires use the same dust emitter

	// 3rd person camera settings
	cameraRoll = false;         // Roll the camera with the vehicle
	cameraMaxDist = 11;         // Far distance from vehicle
	cameraOffset = 7.5;        // Vertical offset from camera mount point
	cameraLag = 0.0;           // Velocity lag of camera
	cameraDecay = 0.75;        // Decay per sec. rate of velocity lag
	cameraTilt = 0.4;
   collisionTol = 0.1;        // Collision distance tolerance
   contactTol = 0.1;

	useEyePoint = false;	

	defaultTire	= AstosTire;
	defaultSpring	= AstosSpring;
	flatTire	= jeepFlatTire;
	flatSpring	= jeepFlatSpring;

   numWheels = 4;

	// Rigid Body
	mass = 300;
	density = 5.0;
	drag = 1.6;
	bodyFriction = 0.6;
	bodyRestitution = 0.6;
	minImpactSpeed = 10;        // Impacts over this invoke the script callback
	softImpactSpeed = 10;       // Play SoftImpact Sound
	hardImpactSpeed = 15;      // Play HardImpact Sound
	groundImpactMinSpeed    = 10.0;

	// Engine
	engineTorque = 14000; //4000;       // Engine power
	engineBrake = 5000;         // Braking when throttle is 0
	brakeTorque = 8000;        // When brakes are applied
	maxWheelSpeed = 35;        // Engine scale by current speed / max speed

	rollForce		= 900;
	yawForce		= 600;
	pitchForce		= 1000;
	rotationalDrag		= 0.2;

	// Advanced Steering
   steeringAutoReturn = true;
   steeringAutoReturnRate = 0.9;
   steeringAutoReturnMaxSpeed = 10;
   steeringUseStrafeSteering = true;
   steeringStrafeSteeringRate = 0.1;
	
	// Energy
	maxEnergy = 100;
	jetForce = 3000;
	minJetEnergy = 30;
	jetEnergyDrain = 2;

	splash = jeepSplash;
	splashVelocity = 4.0;
	splashAngle = 67.0;
	splashFreqMod = 300.0;
	splashVelEpsilon = 0.60;
	bubbleEmitTime = 1.4;
	splashEmitter[0] = VehicleFoamDropletsEmitter;
	splashEmitter[1] = VehicleFoamEmitter;
	splashEmitter[2] = VehicleBubbleEmitter;
	mediumSplashSoundVelocity = 10.0;   
	hardSplashSoundVelocity = 20.0;   
	exitSplashSoundVelocity = 5.0;
		
	//mediumSplashSound = "";
	//hardSplashSound = "";
	//exitSplashSound = "";
	
	// Sounds
	//   jetSound = ScoutThrustSound;
	//engineSound = idleSound;
	//squealSound = skidSound;
	softImpactSound = slowImpactSound;
	hardImpactSound = fastImpactSound;
	//wheelImpactSound = slowImpactSound;

	//   explosion = VehicleExplosion;
	justcollided = 0;

   uiName = "Astos";
	rideable = true;
		lookUpLimit = 0.50;
		lookDownLimit = 0.50;

	paintable = true;
   
   damageEmitter[0] = VehicleBurnEmitter;
	damageEmitterOffset[0] = "0.0 0.0 0.0 ";
	damageLevelTolerance[0] = 0.99;

   damageEmitter[1] = VehicleBurnEmitter;
	damageEmitterOffset[1] = "0.0 0.0 0.0 ";
	damageLevelTolerance[1] = 1.0;

   numDmgEmitterAreas = 1;

   initialExplosionProjectile = AstosExplosionProjectile;
   initialExplosionOffset = 0;         //offset only uses a z value for now

   burnTime = 4000;

   finalExplosionProjectile = AstosFinalExplosionProjectile;
   finalExplosionOffset = 0.5;          //offset only uses a z value for now


   minRunOverSpeed    = 2;   //how fast you need to be going to run someone over (do damage)
   runOverDamageScale = 5;   //when you run over someone, speed * runoverdamagescale = damage amt
   runOverPushScale   = 1.2; //how hard a person you're running over gets pushed
};



function Astosvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

function AstosCrossvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

datablock WheeledVehicleData(AstosCrossVehicle : AstosVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./AstosCross.dts";
	emap = true;
	//- Vehicle Data -
	uiName = "Astos Cross";
	finalExplosionProjectile = AstosFinalExplosionProjectile;
};



function Astosvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

function AstosTaxivehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

datablock WheeledVehicleData(AstosTaxiVehicle : AstosVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./AstosTaxi.dts";
	emap = true;
	//- Vehicle Data -
	uiName = "Astos Taxi";
	finalExplosionProjectile = AstosFinalExplosionProjectile;
};


function Astosvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

function AstosPolicevehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

datablock WheeledVehicleData(AstosPoliceVehicle : AstosVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./AstosPolice.dts";
	emap = true;
	//- Vehicle Data -
	uiName = "Astos Police";
	finalExplosionProjectile = AstosFinalExplosionProjectile;
};


function Astosvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

function AstosGTvehicle::onadd(%this,%obj)
{ 
	parent::onadd(%this,%obj);
	   %obj.playthread(0,"propslow");

	AstosSmokeCheck(%obj);
	
}

datablock WheeledVehicleData(AstosGTVehicle : AstosVehicle)
{
	category = "Vehicles";
	//- Render -
	shapeFile = "./AstosGT.dts";
	emap = true;
	//- Vehicle Data -
	uiName = "Astos GT";
	finalExplosionProjectile = AstosFinalExplosionProjectile;
};

